net.fortuna.ical4j.model.property

## Class ExDate

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateListProperty
      - - net.fortuna.ical4j.model.property.ExDate

All Implemented Interfaces:
  Serializable

    public class ExDate
    extends DateListProperty

$Id$ Created: [Apr 6, 2004] Defines a EXDATE iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`ExDate()` Default constructor.
`ExDate(DateList dList)`
`ExDate(ParameterList aList, DateList dList)`
`ExDate(ParameterList aList, String aValue)`

### Method Summary

Methods
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.property.DateListProperty

`copy, getDates, getTimeZone, getValue, setTimeZone, setUtc, setValue`

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExDate

    public ExDate()

Default constructor.

#### ExDate

    public ExDate(ParameterList aList,
          String aValue)
           throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

#### ExDate

    public ExDate(DateList dList)

Parameters:
  `dList` - a list of dates

#### ExDate

    public ExDate(ParameterList aList,
          DateList dList)

Parameters:
  `aList` - a list of parameters for this component
  `dList` - a list of dates

### Method Detail

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state